<?php

    include("../../classes/database.class.php");
    include("../../classes/tipoDocModel.class.php");
    include("../../classes/tipoDocController.class.php");
    
    $idTipoDoc = $_POST["idTipoDoc"];
    $codigo = $_POST["codigo"];
    $nome = $_POST["nome"];

    if($codigo == ""){
        $codigo = null;
    }
    if($nome == ""){
        $nome = null;
    }

    $modelo = new TipoDocController($codigo, $nome);
    $rows = $modelo->updateTipoDoc($idTipoDoc);

   echo json_encode($rows);